## joystick 20010903

=== utils/Makefile ===
#
# $Id: Makefile,v 1.6 2001/07/21 15:43:01 jdeneux Exp $
#
# Makefile for Linux input utilities
#
# (c) 1998-2000 Vojtech Pavlik
#
# Sponsored by SuSE
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# Should you need to contact me, the author, you can do so either by
# e-mail - mail your message to <vojtech@suse.cz>, or by paper mail:
# Vojtech Pavlik, Ucitelska 1576, Prague 8, 182 00 Czech Republic
#
#
# Edit the options below to suit your needs
#

CC		= gcc
CFLAGS		= -g -O2 -Wall -I../linux/include

PROGRAMS	= evtest inputattach jstest jscal fftest ffmvforce ffset

compile: $(PROGRAMS)

clean:
	$(RM) *.o *.swp $(PROGRAMS) *.orig *.rej map *~

ffmvforce.o: ffmvforce.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $^ -o $@ `sdl-config --cflags`

ffmvforce: ffmvforce.o
	$(CC) $^ -o $@ $(LDFLAGS) -g -lm `sdl-config --libs`

jscal: jscal.o
	$(CC) $(CFLAGS) $(CPPFLAGS) -lm $^ -o $@

gencodes: gencodes.c scancodes.h
	$(CC) $(CFLAGS) $(CPPFLAGS) gencodes.c -o gencodes

=== xfree86/Makefile ===

CC = gcc
LDFLAGS = -shared
DEBUG_CFLAGS = -g -O0
OPT_CFLAGS = 
WARN_CFLAGS = -Wall  -pedantic
XCROOT = /usr/src/xc 

CFLAGS = $(DEBUG_CFLAGS) $(OPT_CFLAGS) $(WARN_CFLAGS) -fPIC -DDEBUG -DORFLOG $(INCLUDES)
INCLUDES = -I$(XCROOT)/include -I$(XCROOT)/include/extensions	\
           -I$(XCROOT)/programs/Xserver/			\
           -I$(XCROOT)/programs/Xserver/include			\
           -I$(XCROOT)/programs/Xserver/hw/xfree86/		\
           -I$(XCROOT)/programs/Xserver/hw/xfree86/os-support	\
           -I$(XCROOT)/programs/Xserver/hw/xfree86/common/


TUNTITKO_COMMON_SRC = tuntitko-devconfig.c \
		      tuntitko-common.c    \
		      tuntitko-names.c	   \
		       tuntitko-postevent.c

TUNTITKO33_SRC = $(TUNTITKO_COMMON_SRC) tuntitko-33.c
TUNTITKO40_SRC = 

TUNTITKO33_OBJ = $(TUNTITKO33_SRC:.c=.o)
TUNTITKO40_OBJ = $(TUNTITKO40_SRC:.c=.o)


all: tuntitko-33.so

clean:
	-rm $(TUNTITKO33_OBJ) $(TUNTITKO40_OBJ) tuntitko-33.so tuntitko-40.so *~ tuntitko-log

tuntitko-33.so: $(TUNTITKO33_OBJ)
	$(CC) $(LDFLAGS) $(TUNTITKO33_OBJ) -o tuntitko-33.so


tuntitko-33.o: tuntitko-33.c tuntitko-common.h
tuntitko-common.o: tuntitko-common.c tuntitko-common.h
tuntitko-names.o: tuntitko-names.c
tuntitko-devconfig.o: tuntitko-devconfig.c tuntitko-common.h
tuntitko-postevent.o: tuntitko-postevent.c tuntitko-common.h

=== linux/Documentation/DocBook/Makefile ===
BOOKS	:= wanbook.sgml z8530book.sgml mcabook.sgml videobook.sgml \
	   kernel-api.sgml parportbook.sgml kernel-hacking.sgml \
	   kernel-locking.sgml via-audio.sgml mousedrivers.sgml sis900.sgml \
	   deviceiobook.sgml procfs-guide.sgml tulip-user.sgml

PS	:=	$(patsubst %.sgml, %.ps, $(BOOKS))
PDF	:=	$(patsubst %.sgml, %.pdf, $(BOOKS))
HTML    :=      $(patsubst %.sgml, %, $(BOOKS))
IMG-parportbook := parport-share.fig parport-multi.fig parport-structure.fig
EPS-parportbook := $(patsubst %.fig, %.eps, $(IMG-parportbook))
JPG-parportbook := $(patsubst %.fig, %.jpeg, $(IMG-parportbook))
C-procfs-example = procfs_example.sgml

books:	$(BOOKS)

$(BOOKS): $(TOPDIR)/scripts/docproc

.PHONY:	books ps pdf html clean mrproper

ps:	$(PS)

pdf:	$(PDF)

html:	$(HTML)

%.eps: %.fig
	-fig2dev -Leps $< $@

%.jpeg: %.fig
	-fig2dev -Ljpeg $< $@

%.sgml: %.c
	echo "<programlisting>" > $@
	expand --tabs=8 < $< | \
	sed -e "s/&/\\&amp;/g" \
	    -e "s/</\\&lt;/g" \
	    -e "s/>/\\&gt;/g" >> $@
	echo "</programlisting>" >> $@


$(TOPDIR)/scripts/docproc:
	$(MAKE) -C $(TOPDIR)/scripts docproc

mousedrivers.sgml: mousedrivers.tmpl
	$(TOPDIR)/scripts/docgen <$< >$@

kernel-hacking.sgml: kernel-hacking.tmpl
	$(TOPDIR)/scripts/docgen <$< >$@

kernel-locking.sgml: kernel-locking.tmpl
	$(TOPDIR)/scripts/docgen <$< >$@

wanbook.sgml: wanbook.tmpl $(TOPDIR)/drivers/net/wan/syncppp.c
	$(TOPDIR)/scripts/docgen $(TOPDIR)/drivers/net/wan/syncppp.c \
		<wanbook.tmpl >wanbook.sgml

z8530book.sgml: z8530book.tmpl $(TOPDIR)/drivers/net/wan/z85230.c
	$(TOPDIR)/scripts/docgen $(TOPDIR)/drivers/net/wan/z85230.c \
		<z8530book.tmpl >z8530book.sgml

via-audio.sgml: via-audio.tmpl $(TOPDIR)/drivers/sound/via82cxxx_audio.c
	$(TOPDIR)/scripts/docgen $(TOPDIR)/drivers/sound/via82cxxx_audio.c \
		<via-audio.tmpl >via-audio.sgml

tulip-user.sgml: tulip-user.tmpl
	$(TOPDIR)/scripts/docgen <$< >$@

sis900.sgml: sis900.tmpl $(TOPDIR)/drivers/net/sis900.c
	$(TOPDIR)/scripts/docgen $(TOPDIR)/drivers/net/sis900.c \
		<sis900.tmpl >sis900.sgml

deviceiobook.sgml: deviceiobook.tmpl
	$(TOPDIR)/scripts/docgen <deviceiobook.tmpl >deviceiobook.sgml

mcabook.sgml: mcabook.tmpl $(TOPDIR)/arch/i386/kernel/mca.c
	$(TOPDIR)/scripts/docgen $(TOPDIR)/arch/i386/kernel/mca.c \
		<mcabook.tmpl >mcabook.sgml

videobook.sgml: videobook.tmpl $(TOPDIR)/drivers/media/video/videodev.c
	$(TOPDIR)/scripts/docgen $(TOPDIR)/drivers/media/video/videodev.c \
		<videobook.tmpl >videobook.sgml

procfs-guide.sgml:  procfs-guide.tmpl procfs_example.sgml
	$(TOPDIR)/scripts/docgen < procfs-guide.tmpl >$@

APISOURCES :=	$(TOPDIR)/drivers/media/video/videodev.c \
		$(TOPDIR)/arch/i386/kernel/irq.c \
		$(TOPDIR)/arch/i386/kernel/mca.c \
		$(TOPDIR)/arch/i386/kernel/mtrr.c \
		$(TOPDIR)/drivers/char/misc.c \
		$(TOPDIR)/drivers/net/net_init.c \
		$(TOPDIR)/drivers/net/8390.c \
		$(TOPDIR)/drivers/char/serial.c \
		$(TOPDIR)/drivers/pci/pci.c \
		$(TOPDIR)/drivers/block/ll_rw_blk.c \
		$(TOPDIR)/drivers/sound/sound_core.c \
		$(TOPDIR)/drivers/sound/sound_firmware.c \
		$(TOPDIR)/drivers/net/wan/syncppp.c \
		$(TOPDIR)/drivers/net/wan/z85230.c \
		$(TOPDIR)/drivers/usb/usb.c \
		$(TOPDIR)/drivers/video/fbmem.c \
		$(TOPDIR)/drivers/video/fbcmap.c \
		$(TOPDIR)/drivers/video/fbcon.c \
		$(TOPDIR)/drivers/video/fbgen.c \
		$(TOPDIR)/drivers/video/fonts/fbcon_fonts.c \
		$(TOPDIR)/drivers/video/macmodes.c \
		$(TOPDIR)/drivers/video/modedb.c \
		$(TOPDIR)/fs/devfs/base.c \
		$(TOPDIR)/fs/locks.c \
		$(TOPDIR)/include/asm-i386/bitops.h \
		$(TOPDIR)/kernel/pm.c \
		$(TOPDIR)/kernel/ksyms.c \
		$(TOPDIR)/kernel/kmod.c \
		$(TOPDIR)/kernel/module.c \
		$(TOPDIR)/kernel/printk.c \
		$(TOPDIR)/kernel/sched.c \
		$(TOPDIR)/kernel/sysctl.c \
		$(TOPDIR)/lib/string.c \
		$(TOPDIR)/lib/vsprintf.c \
		$(TOPDIR)/net/netsyms.c
 
kernel-api.sgml: kernel-api.tmpl $(APISOURCES)
	$(TOPDIR)/scripts/docgen $(APISOURCES) \
		<kernel-api.tmpl >kernel-api.sgml

kernel-api-man: $(APISOURCES)
	@rm -rf $(TOPDIR)/Documentation/man
	$(TOPDIR)/scripts/kernel-doc -man $^ | \
		$(PERL) $(TOPDIR)/scripts/split-man $(TOPDIR)/Documentation/man

parportbook: $(JPG-parportbook)
parportbook.ps: $(EPS-parportbook)
parportbook.sgml: parportbook.tmpl $(TOPDIR)/drivers/parport/init.c
	$(TOPDIR)/scripts/docgen $(TOPDIR)/drivers/parport/init.c <$< >$@

DVI	:=	$(patsubst %.sgml, %.dvi, $(BOOKS))
AUX	:=	$(patsubst %.sgml, %.aux, $(BOOKS))
TEX	:=	$(patsubst %.sgml, %.tex, $(BOOKS))
LOG	:=	$(patsubst %.sgml, %.log, $(BOOKS))
OUT	:=	$(patsubst %.sgml, %.out, $(BOOKS))

clean:
	-$(RM) core *~
	-$(RM) $(BOOKS)
	-$(RM) $(DVI) $(AUX) $(TEX) $(LOG) $(OUT)
	-$(RM) $(JPG-parportbook) $(EPS-parportbook)
	-$(RM) $(C-procfs-example)

mrproper: clean
	-$(RM) $(PS) $(PDF)
	-$(RM) -r $(HTML)
	-$(RM) .depend
	-$(RM) $(TOPDIR)/scripts/mkdep-docbook

%.ps : %.sgml
	@(which db2ps > /dev/null 2>&1) || \
	 (echo "*** You need to install DocBook stylesheets ***"; \
	  exit 1)
	db2ps $<

%.pdf : %.sgml
	@(which db2pdf > /dev/null 2>&1) || \
	 (echo "*** You need to install DocBook stylesheets ***"; \
	  exit 1)
	db2pdf $<

%:	%.sgml
	@(which db2html > /dev/null 2>&1) || \
	 (echo "*** You need to install DocBook stylesheets ***"; \
	  exit 1)
	-$(RM) -r $@
	db2html $<
	if [ ! -z "$(JPG-$@)" ]; then cp $(JPG-$@) $@; fi

#
# we could have our own dependency generator
#
#
# .depend: $(TOPDIR)/scripts/mkdep-docbook
#	$(TOPDIR)/scripts/mkdep-docbook $(wildcard *.tmpl) > .depend

include $(TOPDIR)/Rules.make

## joystick 20051019

=== utils/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.6 2001/07/21 15:43:01 jdeneux Exp $
+# $Id: Makefile,v 1.12 2004/10/19 07:51:52 vojtech Exp $
 #
 # Makefile for Linux input utilities
 #
@@ -22,8 +22,8 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 #
 # Should you need to contact me, the author, you can do so either by
-# e-mail - mail your message to <vojtech@suse.cz>, or by paper mail:
-# Vojtech Pavlik, Ucitelska 1576, Prague 8, 182 00 Czech Republic
+# e-mail - mail your message to <vojtech@ucw.cz>, or by paper mail:
+# Vojtech Pavlik, Simunkova 1594, Prague 8, 182 00 Czech Republic
 #
 #
 # Edit the options below to suit your needs
@@ -32,12 +32,17 @@
 CC		= gcc
 CFLAGS		= -g -O2 -Wall -I../linux/include
 
-PROGRAMS	= evtest inputattach jstest jscal fftest ffmvforce ffset
+PROGRAMS	= evtest inputattach jstest jscal fftest ffmvforce ffset \
+		  ffcfstress # acceltest
 
 compile: $(PROGRAMS)
 
 clean:
 	$(RM) *.o *.swp $(PROGRAMS) *.orig *.rej map *~
+
+ffcfstress: ffcfstress.c
+	$(CC) -O2 -fno-implement-inlines -funsigned-char \
+	 -lm ffcfstress.c -o ffcfstress
 
 ffmvforce.o: ffmvforce.c
 	$(CC) -c $(CFLAGS) $(CPPFLAGS) $^ -o $@ `sdl-config --cflags`
@@ -50,3 +55,6 @@
 
 gencodes: gencodes.c scancodes.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) gencodes.c -o gencodes
+
+acceltest: acceltest.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) -lm $^ -o $@

=== debian/control ===
Source: joystick
Section: utils
Priority: extra
Maintainer: Stephen Kitt <steve@sk2.org>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 7.0.50), libsdl1.2-dev

Package: joystick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Recommends: evtest, inputattach
Description: set of testing and calibration tools for joysticks
 Some useful tools for using joysticks:
  ffcfstress(1) - force-feedback stress test
  ffmvforce(1)  - force-feedback orientation test
  ffset(1)      - force-feedback configuration tool
  fftest(1)     - general force-feedback test
  jstest(1)     - joystick test
  jscal(1)      - joystick calibration tool
 .
 evtest and inputattach, which used to be part of this package, are now
 available separately.

Package: evtest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: joystick (<< 20051019-6), dvb-utils (<< 1.1.1+rev1207-4)
Description: utility to monitor input device events
 evtest monitors an input device, displaying all the events it generates.
 .
 It can be used to determine mice button bindings, keymaps for exotic
 keyboards...

Package: inputattach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: joystick (<< 20051019-6)
Description: utility to connect serial-attached peripherals to the input subsystem
 inputattach connects legacy serial-attached input peripherals to the input
 subsystem: keyboards, mice, joysticks, touch-screens...
 .
 Amongst other things this allows legacy mice to be accessed via the
 /dev/input/mice multiplexer.
 .
 Supported devices include:
  * Serial-attached keyboards including the Apple Newton keyboard, DEC LK201
    / LK401 keyboards, the Stowaway keyboard, Sun type 4 and 5 keyboards,
    standard PS/2 keyboards with a serial adapter
  * Serial mice using Genius, Logitech, Microsoft or Mouse Systems protocols
  * Serial-attached touchscreens including those manufactured by 3M, ELO,
    Fujitsu, Penmount, Touchright, Touchwindow
  * Serial-attached joysticks including I-Force, SpaceBall, SpaceOrb, Gravis
    Stinger, WingMan Warrior
  * The Handykey Twiddler used as a joystick or a chording keyboard

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with-quilt --sourcedirectory=utils $@

=== debian/watch ===
# This package has no current upstream. The source code was retrieved from
# http://linuxconsole.sourceforge.net/ (from CVS really) and updated using
# files from http://kernel.org/pub/linux/kernel/people/dtor/
